## Assertion Macros Assertion Macros — Assertion macros. |

## Synopsis

    #define     galago_goto_if_fail             (cond, label)

## Description

This contains useful assertion macros.

## Details

### galago_goto_if_fail()

    #define     galago_goto_if_fail(cond, label)

Jumps to a label if the condition fails. This is similar to `g_return_if_fail()`, but uses a goto instead of returns.

`cond` : | The condition.
`label` : | The label to jump to if `cond` fails.